## org.springframework.core.convert.converter
Interface ConverterFactory<S,R>

Type Parameters:
  `S` - The source type converters created by this factory can convert from
  `R` - The target range (or base) type converters created by this factory can convert to; for example `Number` for a set of number subtypes.

    public interface ConverterFactory<S,R>

A factory for "ranged" converters that can convert objects from S to subtypes of R.

Since:
  3.0
Author:
  Keith Donald

Method Summary

`

`<T extends R> Converter<S,T>`

`

`getConverter(Class<T> targetType)`
Get the converter to convert from S to target type T, where T is also an instance of R.

Method Detail

### getConverter

    <T extends R> Converter<S,T> getConverter(Class<T> targetType)

  Get the converter to convert from S to target type T, where T is also an instance of R.

  Type Parameters:
    `T` - the target type
  Parameters:
    `targetType` - the target type to convert to
  Returns:
    A converter from S to T